Subject: bug#74773: closed (Re: bug#74773: [PATCH] Elaborate doc string for rcirc-next-active-buffer)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 12 Dec 2024 11:21:03 +0000

Your bug report

#74773: [PATCH] Elaborate doc string for rcirc-next-active-buffer

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
74773: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=74773
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#74773: [PATCH] Elaborate doc string for rcirc-next-active-buffer
From: Eli Zaretskii <[email-masked]>
To: Philip Kaludercic <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked]
Date: Thu, 12 Dec 2024 13:19:49 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Philip Kaludercic <[email-masked]>
> Cc: Zaretskii Eli <[email-masked]>,  Bell Scott <[email-masked]>,
>   [email-masked]
> Date: Wed, 11 Dec 2024 16:31:56 +0000
> 
> Leo Liu <[email-masked]> writes:
> 
> >> On 11 Dec 2024, at 20:21, Eli Zaretskii <[email-masked]> wrote:
> >> 
> >> 
> >>> 
> >>> Date: Tue, 10 Dec 2024 12:20:04 -0700
> >>> From:  Scott Bell via "Bug reports for GNU Emacs,
> >>> the Swiss army knife of text editors" <[email-masked]>
> >>> 
> >>> I found the current behavior of rcirc-next-active-buffer surprising in
> >>> the case where there is no activity, so I thought it could be described
> >>> in the doc string.
> >> 
> >> Leo and Philip, is this okay to install?
> >
> > After checking all irc buffers with activity, the next rcirc-next-active-buffer returns you back to the buffer where your work is ie non irc buffers.
> >
> > So the patch doesn’t add much though harmless.
> 
> 1+

Thanks, so I've now installed this on the emacs-30 branch, and I'm
closing this bug.

Subject: [PATCH] Elaborate doc string for rcirc-next-active-buffer
From: Scott Bell <[email-masked]>
To: [email-masked]
Date: Tue, 10 Dec 2024 12:20:04 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

I found the current behavior of rcirc-next-active-buffer surprising in
the case where there is no activity, so I thought it could be described
in the doc string.

>From b5a3f93c006316d53139bbd308afbf4c70c89289 Mon Sep 17 00:00:00 2001
From: Scott Bell <[email-masked]>
Date: Tue, 10 Dec 2024 12:02:54 -0700
Subject: [PATCH] ; * lisp/net/rcirc.el (rcirc-next-active-buffer): Doc string

---
 lisp/net/rcirc.el | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/lisp/net/rcirc.el b/lisp/net/rcirc.el
index c41e2ec153f..33e4008fc0b 100644
--- a/lisp/net/rcirc.el
+++ b/lisp/net/rcirc.el
@@ -2448,7 +2448,8 @@ rcirc-bury-buffers
 
 (defun rcirc-next-active-buffer (arg)
   "Switch to the next rcirc buffer with activity.
-With prefix ARG, go to the next low priority buffer with activity."
+With prefix ARG, go to the next low priority buffer with activity.
+When there are no buffers with activity, bury all rcirc buffers."
   (interactive "P")
   (let* ((pair (rcirc-split-activity rcirc-activity))
          (lopri (car pair))
-- 
2.39.5 (Apple Git-154)